using System;
using System.Collections.Generic;
using System.Text;
using ChuPiao.Common.Utils;

namespace ChuPiao.Common.Models
{
    public class L_PlayReportEntity : L_ExpectReportEntity
    {
        public L_PlayReportEntity(int lotTypeId) : base(lotTypeId)
        { }
        #region 扩展属性
        private int _playId;
        /// <summary>
        /// 玩法ID
        /// </summary>
        public int PlayId
        {
            get { return _playId; }
            set 
            {
                _playId = value;
                _playName = LotPlayTypeHashTable.GetPlayName(_playId);
            }
        }

        private string _playName;
        public string L_PlayName
        {
            get
            {
                return _playName;
            }
            set 
            {
                _playName=value;
            }
        }
        #endregion
    }
}
